Name:                irclib
Version:             1.10
Release:             2
Summary:             Java implementation of the IRC protocol
License:             Apache-2.0 AND EPL-1.0 AND LGPL-2.0-or-later
URL:                 http://moepii.sourceforge.net/
Source0:             http://prdownloads.sourceforge.net/moepii/%{name}-%{version}.tar.gz
Source1:             https://repo1.maven.org/maven2/org/schwering/%{name}/%{version}/%{name}-%{version}.pom
BuildRequires:       java-devel javapackages-local
BuildArch:           noarch
%description
IRClib is pure Java 1.2 IRC implementation. The
IRClib library is designed very cleanly, supports
RFC1459 and supports SSL connections.

%package help
Summary:             Javadoc for %{name}
provides:            %{name}-help = %{version}-%{release}
obsoletes:           %{name}-help < %{version}-%{release}
%description help
This package contains javadoc for %{name}.

%prep
%setup -q
find -name "*.jar" -delete
find -name "*.class" -delete
rm -r $(find -name ".svn")
rm -r javadoc
chmod 644 CHANGELOG COPYING_AL COPYING_EPL COPYING_LGPL README
sed -i "s,59 Temple Place,51 Franklin Street,;s,Suite 330,Fifth Floor,;s,02111-1307,02110-1301," COPYING_LGPL
sed -i 's/\r//' CHANGELOG COPYING_AL COPYING_EPL COPYING_LGPL README
%mvn_file org.schwering:%{name} %{name}

%build
mkdir -p classes docs
%javac -d classes -source 1.6 -target 1.6 $(find src -name "*.java")
(
cd classes
%jar -cf ../%{name}.jar *
)
%javadoc -source 1.6 -classpath classes -d docs -Xdoclint:none $(find src -name "*.java")

%install
%mvn_artifact %{SOURCE1} %{name}.jar
%mvn_install -J docs

%files -f .mfiles
%doc CHANGELOG README
%license COPYING_AL COPYING_EPL COPYING_LGPL

%files help -f .mfiles-javadoc
%license COPYING_AL COPYING_EPL COPYING_LGPL

%changelog
* Thu May 12 2022 Ge Wang <wangge20@h-partners.com> - 1.10-2
- license compliance rectification

* Mon Aug 24 2020 huanghaitao <huanghaitao8@huawei.com> - 1.10-1
- package init
